Package com.verisign.epp.codec.defReg

## Class EPPDefRegRenewResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.defReg.EPPDefRegRenewResp

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPDefRegRenewResp
      extends EPPResponse

  Represents an EPP DefReg `<defReg:renData>` response to a `EPPDefRegRenewCmd`. When a `<renew>` command has been processed successfully, the EPP `<resData>` element MUST contain a child `<defReg:renData>` element that identifies the defReg namespace. The `<defReg:renData>` element contains the following child elements:
  - A `<defReg:roid>` element that contains repository object identifier assigned to the defReg object when the object was created.
  - An OPTIONAL `<defReg:exDate>` element that contains the date and time identifying the end of the defReg object's validity period.
  See Also:
    `EPPDefRegRenewCmd`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `ELM_EXTENSION, ELM_MESSAGE_QUEUE, ELM_MESSAGE_QUEUE_QDATE, ELM_RESPONSE_DATA, extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPDefRegRenewResp()` | `EPPDefRegRenewResp` default constructor.
    `EPPDefRegRenewResp​(EPPTransId aTransId, java.lang.String aRoid)` | `EPPDefRegRenewResp` constructor that takes the required attribute values as parameters.
    `EPPDefRegRenewResp​(EPPTransId aTransId, java.lang.String aRoid, java.util.Date aExpirationDate)` | `EPPDefRegRenewResp` constructor that takes the required attribute values as parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPDefRegRenewResp`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPDefRegRenewResp` attributes from the `aElement` DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPDefRegRenewResp` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPDefRegRenewResp` with this instance.
    `java.util.Date` | `getExpirationDate()` | Gets the expiration date and time of the defReg.
    `java.lang.String` | `getNamespace()` | Gets the EPP command Namespace associated with `EPPDefRegRenewResp`.
    `java.lang.String` | `getRoid()` | Gets the defReg roid
    `java.lang.String` | `getType()` | Gets the EPP command type associated with `EPPDefRegRenewResp`.
    `void` | `setExpirationDate​(java.util.Date aExpirationDate)` | Sets the expiration date and time of the defReg.
    `void` | `setRoid​(java.lang.String aRoid)` | Sets the defReg roid.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDefRegRenewResp

          public EPPDefRegRenewResp()

      `EPPDefRegRenewResp` default constructor. Must call required setter methods before encode. the defaults include the following:
      - roid is set to `null`
      - expiration date is set to `null`
      The roid must be set before invoking `encode`.

    - #### EPPDefRegRenewResp

          public EPPDefRegRenewResp​(EPPTransId aTransId,
                                    java.lang.String aRoid)

      `EPPDefRegRenewResp` constructor that takes the required attribute values as parameters.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `aRoid` - DefReg roid

    - #### EPPDefRegRenewResp

          public EPPDefRegRenewResp​(EPPTransId aTransId,
                                    java.lang.String aRoid,
                                    java.util.Date aExpirationDate)

      `EPPDefRegRenewResp` constructor that takes the required attribute values as parameters.
      Parameters:
        `aTransId` - transaction Id associated with response.
        `aRoid` - defReg roid
        `aExpirationDate` - expiration date of the defReg

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Gets the EPP command type associated with `EPPDefRegRenewResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        EPPDefRegRenewResp.ELM_NAME

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPDefRegRenewResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPDefRegMapFactory.NS`

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPDefRegRenewResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPDefRegRenewResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPDefRegRenewResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getRoid

          public java.lang.String getRoid()

      Gets the defReg roid
      Returns:
        DefReg Roid `String` instance if defined; `null` otherwise.

    - #### setRoid

          public void setRoid​(java.lang.String aRoid)

      Sets the defReg roid.
      Parameters:
        `aRoid` - DefReg Roid

    - #### getExpirationDate

          public java.util.Date getExpirationDate()

      Gets the expiration date and time of the defReg.
      Returns:
        Expiration date and time of the defReg if defined; `null` otherwise.

    - #### setExpirationDate

          public void setExpirationDate​(java.util.Date aExpirationDate)

      Sets the expiration date and time of the defReg.
      Parameters:
        `aExpirationDate` - Expiration date and time of the defReg.

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPDefRegRenewResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPDefRegRenewResp` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPDefRegRenewResp` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPDefRegRenewResp` attributes from the `aElement` DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPDefRegRenewResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode `aElement`